#!/usr/bin/env python

import os
import re
from distutils.sysconfig import get_config_var
from distutils.core import setup
from distutils.command.install import install
import sys
import glob

VERSION = '0.1'


class my_install(install):
	def run(self):
		preprocess("ereseva/ereseva.py.in")
		install.run(self)

def preprocess(path):
	if os.path.exists(path):
		src = open(path, "r")
		target = open(path.strip(".in"), "w")

		lines = src.readlines()[:]

		for line in lines:
			line = re.sub("@PREFIX@", get_config_var('prefix'), line)
			line = re.sub("%%VERSION%%", VERSION, line)
			target.write(line)

		target.close()
		src.close()


def main():
	data_files = []

	setup(name='ereseva',
		version=VERSION,
		description='An instant messenger, especially designed for GTalk and Jabber usage',
		long_description='Ereseva is an instant messenger application for use with GTalk and Jabber',
		author='Kenneth Rohde Christiansen',
		author_email='kenneth.christiansen@gmail.com',
		url='',
		scripts=['ereseva/ereseva'],
		package_dir={'ereseva': 'ereseva'},
		packages=['ereseva'],
		data_files=data_files,
		cmdclass = { 'install' : my_install },
	)	

if __name__ == '__main__':
	main()
